## Copyright (C) 2020 Jens
## 
## This program is free software: you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see
## <https://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {} {@var{retval} =} results (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: Jens <jens@orion>
## Created: 2020-12-20

function retval = results()

load ('logs/brewpi.mat')

close all;

figure(1)

set(0, "defaultlinelinewidth", 1.5);
subplot(3,1,1)
plot(time, tc_temp_soll, time, tc_temp_ist); grid
legend("Temp_{soll}","Temp_{ist}")
subplot(3,1,2)
plot(time, tc_dtemp_soll, time, tc_dtemp_ist, time, tc_dtemp_commanded); grid
legend("dTemp_{soll}","dTemp_{ist}","dTemp_{cmd}")
subplot(3,1,3)
plot(time, heater_power); grid
legend("Power_{Heater}")

# Write as wave 
f = filter([0.01], [1 -0.99], tc_temp_ist);
audiowrite ("/home/jens/tc_temp_ist.wav", tc_temp_ist-f, 8000)

f = filter([0.01], [1 -0.99], tc_dtemp_ist);
audiowrite ("/home/jens/tc_dtemp_ist.wav", tc_dtemp_ist-f, 8000)

endfunction
